com.taosdata.jdbc.ws.tmq.entity

## Class SubscribeReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.tmq.entity.SubscribeReq

    public class SubscribeReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`SubscribeReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAutoCommit()`
`String` `getAutoCommitIntervalMs()`
`String` `getClientId()`
`String` `getDb()`
`String` `getGroupId()`
`String` `getOffsetRest()`
`String` `getPassword()`
`String[]` `getTopics()`
`String` `getUser()`
`String` `getWithTableName()`
`void` `setAutoCommit(String autoCommit)`
`void` `setAutoCommitIntervalMs(String autoCommitIntervalMs)`
`void` `setClientId(String clientId)`
`void` `setDb(String db)`
`void` `setGroupId(String groupId)`
`void` `setOffsetRest(String offsetRest)`
`void` `setPassword(String password)`
`void` `setTopics(String[] topics)`
`void` `setUser(String user)`
`void` `setWithTableName(String withTableName)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscribeReq

    public SubscribeReq()

### Method Detail

#### getUser

    public String getUser()

#### setUser

    public void setUser(String user)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)

#### getDb

    public String getDb()

#### setDb

    public void setDb(String db)

#### getGroupId

    public String getGroupId()

#### setGroupId

    public void setGroupId(String groupId)

#### getClientId

    public String getClientId()

#### setClientId

    public void setClientId(String clientId)

#### getOffsetRest

    public String getOffsetRest()

#### setOffsetRest

    public void setOffsetRest(String offsetRest)

#### getTopics

    public String[] getTopics()

#### setTopics

    public void setTopics(String[] topics)

#### getAutoCommit

    public String getAutoCommit()

#### setAutoCommit

    public void setAutoCommit(String autoCommit)

#### getAutoCommitIntervalMs

    public String getAutoCommitIntervalMs()

#### setAutoCommitIntervalMs

    public void setAutoCommitIntervalMs(String autoCommitIntervalMs)

#### getWithTableName

    public String getWithTableName()

#### setWithTableName

    public void setWithTableName(String withTableName)